diff --git i/src/backend/utils/activity/pgstat_shmem.c w/src/backend/utils/activity/pgstat_shmem.c
index 91591da3958..17fc1230a84 100644
--- i/src/backend/utils/activity/pgstat_shmem.c
+++ w/src/backend/utils/activity/pgstat_shmem.c
@@ -785,7 +785,12 @@ pgstat_drop_entry_internal(PgStatShared_HashEntry *shent,
 	 * backends to release their references.
 	 */
 	if (shent->dropped)
-		elog(ERROR, "can only drop stats once");
+	{
+		const PgStat_KindInfo *info = pgstat_get_kind_info(shent->key.kind);
+
+		elog(ERROR, "trying to drop already dropped stats object: %s/%u/%u",
+			 info->name, shent->key.dboid, shent->key.objoid);
+	}
 	shent->dropped = true;
 
 	/* release refcount marking entry as not dropped */
